<template>
    <div class="col-md-8 mb-5">
        <div class="card">
            <div class="card-header">¿En que estas pensando?</div>
            <div class="card-body">
                <form action="" v-on:submit.prevent="newThought()">
                    <div class="from-group">
                        <label for="pensamiento">Ahora estoy pensando en:</label>
                        <input type="text" class="form-control" name="pensamiento" id="pensamiento" v-model="description">
                    </div>
                    <button type="submit" class="btn btn-primary mt-2">Enviar pensamiento</button>
                </form>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                description: ''
            }
        },
        mounted() {
            console.log('Component mounted.')
        },
        methods: {
            newThought() {
                const params = {
                    description: this.description
                };

                this.description = '';

                axios.post('/thoughts', params).then((response) => {
                    const thought = response.data;
                    this.$emit('new', thought);
                });
            }
        }
    }
</script>
